﻿@model OtherIncome
@{
    List<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Personal Activity</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="saveOtherIncome" class="form fv-plugins-bootstrap fv-plugins-framework" id="OtherIncomeInfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteOtherIncome">
            <div class="modal-body">
                <div class="min-h-200px">
                    <input asp-for="Guid" />
                    <div class="row">
                        <div class="col-xl-6">
                            <div class="form-group">
                                <label asp-for="businessInterestof"></label>
                                <select class="form-control form-control-lg" asp-for="businessInterestof">
                                    @foreach (var item in EmploymentOf)
                                    {
                                        <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected" disabled="@item.Disabled">@item.Text</option>
                                    }
                                </select>
                                <span asp-validation-for="businessInterestof" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group">
                                <label asp-for="sourceofIncome"></label>
                                <select class="form-control form-control-lg" asp-for="sourceofIncome" asp-items="EnumHelper.GetEnumSelectList<SourceofIncomeEnum>()">
                                </select>
                                <span asp-validation-for="sourceofIncome" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xl-6">
                            <div class="form-group">
                                <label asp-for="AnnualIncome"></label>
                                <input asp-for="AnnualIncome" class="form-control form-control-lg currency" type="text">
                                <span asp-validation-for="AnnualIncome" class="text-danger"></span>
                            </div>
                        </div>

                        <div class="col-xl-6">
                            <div class="form-group">
                                <label asp-for="Years"></label>
                                <input asp-for="Years" class="form-control form-control-lg year-mask" type="text" maxlength="2">
                                <span asp-validation-for="Years" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="otherincome-append-template" type="text/html">
    <tr data-guid="${otherIncomeInfo.guid}" data-budget-item-id="${otherIncomeInfo.clientId}">
        <td>
            <span style="vertical-align:bottom">${otherIncomeInfo.sourceofIncomeString}</span>
            <span class="label label-md label-pill label-inline text-white" style="background:${otherIncomeInfo.color}">${otherIncomeInfo.businessInterestofString}</span>
        </td>
        <td class="text-right">
            <span class="display-view amount" id="annualincome">
                ${currencyFormat.format(otherIncomeInfo.annualIncome)}
            </span>
            <span class="edit-view d-none">
                <input value="${otherIncomeInfo.annualIncome}" class="form-control input-xs amount currency text-right float-right zero-not-allowed" type="text" />
            </span>
        </td>
        <td class="text-right">
            <span class="display-view years">
                ${otherIncomeInfo.years}
            </span>
            <span class="edit-view d-none">
                <input value="${otherIncomeInfo.years}" class="form-control input-xs text-right float-right years numericOnly zero-not-allowed" maxlength="2" type="text"/>
            </span>
        </td>
        <td class="text-right">
            <div class="display-view">
                <button class="btn btn-icon btn-xs btn-other-edit" type="button">
                    <i class="la la-pencil-alt icon-lg text-dark" data-toggle="tooltip" data-original-title="Edit">
                    </i>
                </button>
                <button class="btn btn-icon btn-xs btn-other-delete" type="button">
                    <i class="la la-trash icon-lg text-dark" data-toggle="tooltip" data-original-title="Delete">
                    </i>
                </button>
            </div>
            <div class="edit-view d-none">
                <button class="btn btn-icon btn-xs btn-other-save" type="button">
                    <i class="la la-save icon-lg text-dark" data-toggle="tooltip" data-original-title="Save"></i>
                </button>
                <button class="btn btn-icon btn-xs btn-other-cancel" type="button">
                    <i class="spinner spinner-primary spinner-sm d-none"></i>
                    <i class="la la-remove icon-lg text-dark" data-toggle="tooltip" data-original-title="Cancel"></i>
                </button>
            </div>
        </td>
    </tr>
</script>